Subject: Re: [PATCH 6/9] pseudorefs: create and use pseudoref update and delete functions

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Jul 2015 12:25:53 -0700

David Turner <[email-masked]> writes:

> Pseudorefs should not be updated through the ref API, because the ref
> API is for real refs.  Instead, use a dedicated pseudoref API.
>
> This patch changes writes to CHERRY_PICK_HEAD, REVERT_HEAD, and ORIG_HEAD.

This feels somewhat backwards, and it makes me wonder if it is a
better approach to teach update_ref() about the naming rules, so
that the callers do not have to say the same thing twice "This is
not a ref and I am giving all-caps name, by the way I am also not
calling update_ref() because that is only for real refs".